// #name = Pitch Fix
// #version = 1.1
// #date = 18 June 2003
// #status = Release
// #author = @-Kaiten Commander
// #warrior = Kaiten Commander
// #email = kaiten@cb-tribes.co.uk
// #web = http://www.kaiten.barrysworld.net
// #description = Fixes the MP3 bug where players use a pitch script & cause the MP3 speed to go mad! this will also stop the annoying screaming voices!
// #credit = Mik Schultzy & LozzaUK (He actually asked for it 1st). ilys for the theme stopper.

package pitchfix
{
	function OptionsDlg::onWake( %this )
	{
		if (!$BlockthemesBindLoaded)
		{
			$RemapName[$RemapCount] = "Block Theme Toggle";
			$RemapCmd[$RemapCount] = "BlockThemeToggle";
			$RemapCount++;
			$BlockthemesBindLoaded = true;
		}
		parent::onWake( %this );
	}

       	function clientCmdChatMessage(%sender, %voice, %pitch, %msgString, %a1, %a2, %a3, %a4, %a5, %a6, %a7, %a8, %a9, %a10)
       	{
		%pitch = 1.0;
		
		if($pref::Blockthemes)
		{
			if(strstr(%msgString, "~wM") !=-1)
				return;
		}		
		parent::clientCmdChatMessage(%sender, %voice, %pitch, %msgString, %a1, %a2, %a3, %a4, %a5, %a6, %a7, %a8, %a9, %a10);
	}
       
       	function clientCmdCannedChatMessage( %sender, %msgString, %name, %string, %keys, %voiceTag, %pitch )
       	{
       		%pitch = 1.0;
       		parent::clientCmdCannedChatMessage( %sender, %msgString, %name, %string, %keys, %voiceTag, %pitch );
       	}

	function clientCmdSetPilotVehicleKeys()
	{
		passengerKeys.copyBind( moveMap, BlockThemeToggle);
	 	parent::clientCmdSetPilotVehicleKeys();
	}

	function clientCmdSetPassengerVehicleKeys()
	{
		passengerKeys.copyBind( moveMap, BlockThemeToggle);
		parent::clientCmdSetPassengerVehicleKeys();
	}       	
};
activatepackage(pitchfix);

function BlockThemeToggle(%val)
{
	if(%val)
	{
		$pref::Blockthemes = !$pref::Blockthemes;
		
		if($pref::Blockthemes)
			addmessageHudline("Theme Blocking - On");
		else
			addmessageHudline("Theme Blocking - Off");
	}
}			
    	